Bug 301628 - Warning messages when closing About popup
Summary: Warning messages when closing About popup
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kdeui (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 08:33 UTC by Graeme Hewson
Modified: 2012-08-06 20:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graeme Hewson 2012-06-11 08:33:03 UTC
To reproduce:

1. Start Okular from a terminal.
2. Click Help/About Okular (get several messages saying "Trying to load Attica plugin:" and lastly "Using Attica with KDE support"
3. Click Close in the About box.

30 messages are displayed:

okular(507) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets!
Comment 1 Albert Astals Cid 2012-06-11 18:31:38 UTC
kdelibs thing
Comment 2 Albert Astals Cid 2012-07-19 20:06:42 UTC
The "Trying to load Attica plugin:" and "Using Attica with KDE support" are part of attica which is not kdelibs either, was fixed in https://projects.kde.org/projects/kdesupport/attica/repository/revisions/2dc59c06b87610e4bd9a07716435f0f80756f5e2 not sure when it'll make it into a release though
Comment 3 Albert Astals Cid 2012-07-19 20:13:43 UTC
I'm working on the "KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets!" one
Comment 4 Albert Astals Cid 2012-07-19 21:09:12 UTC
Fix posted for review at https://git.reviewboard.kde.org/r/105627/
Comment 5 Albert Astals Cid 2012-08-06 20:49:53 UTC
KWidgetItemDelegateEventListener issue fixed in 9aaa24814030041f51405182f03c9760e04bc76f